Bug 140216 - htt_server denied the access from localhost
htt_server denied the access from localhost
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-11-21 01:22 EST by Xiaotian Sun
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-18 04:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
htt.xml.conf (1.86 KB, text/plain)
2004-11-21 19:07 EST, Xiaotian Sun
no flags Details

  None (edit)
Description Xiaotian Sun 2004-11-21 01:22:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
when log in using Chinese language, the system is not usable.  the
terminal hangs.  firefox crashes ...

when look at the /var/log/messages, there are repeated entries of 

htt_server[ ]: Denied the access from localhost.


Version-Release number of selected component (if applicable):
iiimf-server-12.1.4

How reproducible:
Always

Steps to Reproduce:
1. select "Chinese Simplified" or "Chinese Traditional"
2. log in with Gnome of KDE
3.
    

Actual Results:  computer is not usable.  terminal hangs.  some
programs crash.

Expected Results:  computer function properly.

Additional info:
Comment 1 Warren Togami 2004-11-21 18:55:25 EST
Please post your contents of /etc/hosts?
Comment 2 Leon Ho 2004-11-21 19:05:23 EST
Other than /etc/hosts, also if you can provide these:
1. Could you attach your /etc/iiim/htt.xml.conf into this entry
2. Have you enabled any SELinux from FC2? (Check by running getenforce in the
command line)
Comment 3 Xiaotian Sun 2004-11-21 19:07:37 EST
Created attachment 107150 [details]
htt.xml.conf
Comment 4 Xiaotian Sun 2004-11-21 19:09:23 EST
/etc/hosts

# Do not remove the following line, or various programs
# that require network functionality will fail.

127.0.0.1       blueangel       localhost.localdomain   localhost

/etc/hosts.deny
#
# hosts.deny    This file describes the names of the hosts which are
#               *not* allowed to use the local INET services, as decided
#               by the '/usr/sbin/tcpd' server.
#
# The portmap line is redundant, but it is left to remind you that
# the new secure portmap uses hosts.deny and hosts.allow.  In particular
# you should know that NFS uses portmap!
ALL : ALL

/etc/hosts.allow
#
# hosts.allow   This file describes the names of the hosts which are
#               allowed to use the local INET services, as decided
#               by the '/usr/sbin/tcpd' server.
#
sshd : ALL
ALL : 127.0.0.1
ALL : 127.


I don't think I enableed SELinux 

$ getenforce
Disabled

Comment 5 Akira TAGOH 2004-11-22 06:57:29 EST
how about run htt_server manually? can you attach that logs here?
Please try below:
# service iiim stop
# htt_server -d

On other terminal:
$ GTK_IM_MODULE=iiim gedit
Comment 6 Xiaotian Sun 2004-11-22 13:29:00 EST
# /usr/sbin/htt_server -d
Turn on debug mode.
<acls default="deny">
<acl type="permit"><hostname>127.0.0.1</hostname></acl>
<system type="password"/>
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:am_ET, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:ar, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:bn_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:el_GR, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/default.so">
Adding LE (lang:en, /usr/lib/im/leif/default.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:en, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:gu_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:he, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:hi_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/CannaLE.so">
Adding LE (lang:ja, /usr/lib/im/leif/CannaLE.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:kn_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/hangul.so">
Adding LE (lang:ko, /usr/lib/im/leif/hangul.so)
<module path="/usr/lib/im/leif/kole.so">
Adding LE (lang:ko, /usr/lib/im/leif/kole.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:ml_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:pa_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:ru_RU, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:ta_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:te_IN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/thaile.so">
Adding LE (lang:th_TH, /usr/lib/im/leif/thaile.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:ti_ER, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/unitle.so">
Adding LE (lang:vi_VN, /usr/lib/im/leif/unitle.so)
<module path="/usr/lib/im/leif/chinput.so">
Adding LE (lang:zh_CN, /usr/lib/im/leif/chinput.so)
<module path="/usr/lib/im/leif/inpinyin.so">
Adding LE (lang:zh_CN, /usr/lib/im/leif/inpinyin.so)
<module path="/usr/lib/im/leif/cle.so">
Adding LE (lang:zh_CN, /usr/lib/im/leif/cle.so)
<module path="/usr/lib/im/leif/newpy.so">
Adding LE (lang:zh_CN, /usr/lib/im/leif/newpy.so)
<module path="/usr/lib/im/leif/hkle.so">
Adding LE (lang:zh_HK, /usr/lib/im/leif/hkle.so)
<module path="/usr/lib/im/leif/xcin.so">
Adding LE (lang:zh_TW, /usr/lib/im/leif/xcin.so)
<module path="/usr/lib/im/leif/twle.so">
Adding LE (lang:zh_TW, /usr/lib/im/leif/twle.so)
LE(xcin) is loading.
    Path=/usr/lib/im/leif/
    version=0.1
    locale=
    need_thread_lock=false
    langs=zh_TW, 
object for xcin
    object_type      = 131
    object id        = 32769
    object size      = 0
    rev. domain name = com.redhat
    path             = ./locale/zh_TW/aux.so
    scope            = xcin
    signature        = 
    basepath         = 
    encoding         = 
LE(default) is loading.
    Path=/usr/lib/im/leif/
    version=1.2
    locale=
    need_thread_lock=false
    langs=en, 
LE(xcin) is loading.
    Path=/usr/lib/im/leif/
    version=0.1
    locale=
    need_thread_lock=false
    langs=zh_TW, 
object for xcin
    object_type      = 131
    object id        = 32772
    object size      = 0
    rev. domain name = com.redhat
    path             = ./locale/zh_TW/aux.so
    scope            = xcin
    signature        = 
    basepath         = 
    encoding         = 
LE(xcin) is loading.
    Path=/usr/lib/im/leif/
    version=0.1
    locale=
    need_thread_lock=false
    langs=zh_TW, 
object for xcin
    object_type      = 131
    object id        = 32774
    object size      = 0
    rev. domain name = com.redhat
    path             = ./locale/zh_TW/aux.so
    scope            = xcin
    signature        = 
    basepath         = 
    encoding         = 
LE(chinput) is loading.
    Path=/usr/lib/im/leif/
    version=1.2
    locale=
    need_thread_lock=false
    langs=zh_CN, 
object for chinput
    object_type      = 131
    object id        = 32776
    object size      = 0
    rev. domain name = com.redhat
    path             = ./locale/zh_CN/chinput/aux.so
    scope            = chinput
    signature        = 
    basepath         = 
    encoding         = 
LE(sunim_default) is loading.
    Path=/
    version=(NULL)
    locale=
    need_thread_lock=false
started.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Denied the access from localhost.
Comment 7 Akira TAGOH 2004-11-22 14:06:46 EST
Hmm, how about adding your hostname 'blueangel' into acl directive in
htt.xml.conf? i.e. it will becomes like
<acl type="permit">
  <hostname>127.0.0.1</hostname>
  <hostname>blueangel</hostname>
</acl>

Also,  what about the result of lsof -p `pidof htt_server`?
Comment 8 Xiaotian Sun 2004-11-22 14:30:32 EST
added the line to htt.xml.conf and still got the same "denied access".

in the terminal running gedit, i got the following error

*** glibc detected *** double free or corruption: 0x0840acf8 ***

the result of lsof


# /usr/sbin/lsof -p 22701
COMMAND     PID USER   FD   TYPE     DEVICE    SIZE    NODE NAME
htt_serve 22701 root  cwd    DIR        3,6    4096  329450 /etc/iiim
htt_serve 22701 root  rtd    DIR        3,6    4096       2 /
htt_serve 22701 root  txt    REG        3,6  400168  392135
/usr/sbin/htt_server
htt_serve 22701 root  mem    REG        3,6    9440 1338428
/usr/lib/gconv/UTF-16.so
htt_serve 22701 root  mem    REG        3,6  181464 1338394
/usr/lib/gconv/GB18030.so
htt_serve 22701 root  mem    REG        3,6   21544 1339115
/usr/lib/gconv/gconv-modules.cache
htt_serve 22701 root  mem    REG        3,6  249728 1029646
/usr/lib/im/leif/chinput.so
htt_serve 22701 root  mem    REG        3,6   47244 1648768
/lib/libnss_files-2.3.3.so
htt_serve 22701 root  mem    REG        3,6   79572 1648777
/lib/libresolv-2.3.3.so
htt_serve 22701 root  mem    REG        3,6  134668  360822
/usr/lib/libk5crypto.so.3.0
htt_serve 22701 root  mem    REG        3,6    5668 1648346
/lib/libcom_err.so.2.1
htt_serve 22701 root  mem    REG        3,6  413704  361031
/usr/lib/libkrb5.so.3.2
htt_serve 22701 root  mem    REG        3,6   80948  360818
/usr/lib/libgssapi_krb5.so.2.2
htt_serve 22701 root  mem    REG        3,6  931720 1648786
/lib/libcrypto.so.0.9.7a
htt_serve 22701 root  mem    REG        3,6 1509144 1452486
/lib/tls/libc-2.3.3.so
htt_serve 22701 root  mem    REG        3,6   29372 1648411
/lib/libgcc_s-3.4.2-20041018.so.1
htt_serve 22701 root  mem    REG        3,6  213424 1452964
/lib/tls/libm-2.3.3.so
htt_serve 22701 root  mem    REG        3,6  800456  359407
/usr/lib/libstdc++.so.6.0.3
htt_serve 22701 root  mem    REG        3,6   15208 1648741
/lib/libdl-2.3.3.so
htt_serve 22701 root  mem    REG        3,6   62152  359114
/usr/lib/libz.so.1.2.1.2
htt_serve 22701 root  mem    REG        3,6  106448 1452965
/lib/tls/libpthread-2.3.3.so
htt_serve 22701 root  mem    REG        3,6  963984   84230
/usr/lib/libxml2.so.2.6.16
htt_serve 22701 root  mem    REG        3,6  211948 1648377
/lib/libssl.so.0.9.7a
htt_serve 22701 root  mem    REG        3,6   94320 1648752
/lib/libnsl-2.3.3.so
htt_serve 22701 root  mem    REG        3,6   27136  359181
/usr/lib/libwrap.so.0.7.6
htt_serve 22701 root  mem    REG        3,6   27936 1648396
/lib/libpam.so.0.77
htt_serve 22701 root  mem    REG        3,6   26932 1648429
/lib/libcrypt-2.3.3.so
htt_serve 22701 root  mem    REG        3,6    4224 1033199
/usr/lib/im/leif/default.so
htt_serve 22701 root  mem    REG        3,6   27304 1033208
/usr/lib/im/leif/xcin.so.0.0.0
htt_serve 22701 root  mem    REG        3,6  151508 1030080
/usr/lib/im/lib/libiiimp.so.0.0.3
htt_serve 22701 root  mem    REG        3,6  107148 1648328
/lib/ld-2.3.3.so
htt_serve 22701 root    0u   CHR      136,0               2 /dev/pts/0
htt_serve 22701 root    1u   CHR      136,0               2 /dev/pts/0
htt_serve 22701 root    2u   CHR      136,0               2 /dev/pts/0
htt_serve 22701 root    3u  unix 0x21139300         1417970
/var/run/iiim/.iiimp-unix/9010
Comment 9 Xiaotian Sun 2004-11-22 22:01:29 EST
OK. I might have found the problem..  

It seems that the line 

ALL : 127.0.0.1 

in my hosts.allow doesn't work for htt_server.  I have to write 

ALL : localhost

Now I can input Chinese, or whatever language I choose. 
Comment 10 Akira TAGOH 2005-04-18 04:56:59 EDT
Does it still happen without a workaround? it looks good to me right now. If it
happens for you, please reopen this. thanks.

Note You need to log in before you can comment on or make changes to this bug.